cURL
curl --request GET \
--url https://test.deribit.com/api/v2/private/cancel_all_block_rfq_quotes \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 24,
"method": "private/cancel_all_block_rfq_quotes",
"params": {
"block_rfq_id": 154
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/cancel_all_block_rfq_quotes"
payload = {
"jsonrpc": "2.0",
"id": 24,
"method": "private/cancel_all_block_rfq_quotes",
"params": { "block_rfq_id": 154 }
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 24,
method: 'private/cancel_all_block_rfq_quotes',
params: {block_rfq_id: 154}
})
};
fetch('https://test.deribit.com/api/v2/private/cancel_all_block_rfq_quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"result": 1
}Block RFQ
private/cancel_all_block_rfq_quotes
Maker method
Cancels all user quotes in all Block RFQs. Optionally cancels all quotes in a specific RFQ if the block_rfq_id is provided.
Note: Mass cancellation by label is not supported. This method will cancel all quotes regardless of their labels. To cancel a single quote, use private/cancel_block_rfq_quote.
๐ Related Article: Deribit Block RFQ API walkthrough
Scope: block_rfq:read_write
cURL
Query Parameters
ID of the Block RFQ
When detailed is set to true, the output format is changed to include a list of all cancelled orders.
๐ Related Article: Detailed Response for Cancel Methods
Default: false
Was this page helpful?
โI